#ifndef ROBOT_H
#define ROBOT_H

#include <stdbool.h>

enum Operation
{
  left, right, up, down, fetch, put  
};

typedef enum Operation Operation;

struct Command
{
  Operation op;
  unsigned int count;
};

typedef struct Command Command;

void initialize(void);

bool execute(Command c);
int count(void);

void print(void);

#endif